Skip to main content
GET
/
v1
/
accounts
/
{account_id}
/
calls
List calls
curl --request GET \
  --url https://api.itellico.ai/v1/accounts/{account_id}/calls \
  --header 'X-API-Key: <api-key>'
{
  "count": 123,
  "items": [
    {
      "id": "<string>",
      "type": "<string>",
      "status": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "modified": "2023-11-07T05:31:56Z",
      "direction": "<string>",
      "answer_status": "waiting",
      "agent_id": "<string>",
      "agent_name": "<string>",
      "from_number": "<string>",
      "to_number": "<string>",
      "external_id": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "ended_at": "2023-11-07T05:31:56Z",
      "duration_seconds": 123
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

account_id
string<uuid4>
required

Query Parameters

call_id
string<uuid4> | null

Filter by call identifier.

agent_id
string<uuid4> | null

Filter by agent UUID.

type
enum<string> | null

Filter by call type (phone or web).

Available options:
phone,
web,
test,
unknown
status
enum<string> | null

Filter by lifecycle status (in_progress, completed, failed, transferred).

Available options:
in_progress,
completed,
failed,
transferred
direction
enum<string> | null

Filter by call direction (inbound or outbound).

Available options:
inbound,
outbound,
internal
external_id
string | null

Filter by your external correlation/idempotency key.

created_after
string<date-time> | null

Return calls created on/after this timestamp.

created_before
string<date-time> | null

Return calls created before this timestamp.

updated_after
string<date-time> | null

Return calls updated on/after this timestamp.

updated_before
string<date-time> | null

Return calls updated before this timestamp.

limit
integer
default:100
Required range: x >= 1
offset
integer
default:0
Required range: x >= 0

Response

OK

count
integer
required
items
CallSummaryV1Out · object[]
required